Bug 1357932 - [RGW-NFS]:- NFS-Ganesha process doesn't start after configuring for nfs-rgw
Summary: [RGW-NFS]:- NFS-Ganesha process doesn't start after configuring for nfs-rgw
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.0
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: rc
: 2.0
Assignee: Matt Benjamin (redhat)
QA Contact: shylesh
URL:
Whiteboard:
Depends On:
Blocks: 1357896 1358020 1358024
TreeView+ depends on / blocked
 
Reported: 2016-07-19 15:44 UTC by shylesh
Modified: 2017-07-30 15:57 UTC (History)
10 users (show)

Fixed In Version: RHEL: nfs-ganesha-2.3.2-2.el7cp Ubuntu: nfs-ganesha-2.3.2-4redhat1xenial
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-23 19:44:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1755 normal SHIPPED_LIVE Red Hat Ceph Storage 2.0 bug fix and enhancement update 2016-08-23 23:23:52 UTC

Comment 8 John Poelstra 2016-07-20 15:52:29 UTC
Fix is staged by Matt and believed to work.  Will move to POST today.

Comment 9 Matt Benjamin (redhat) 2016-07-21 00:00:19 UTC
Candidate fix pushed to downstream ceph-2-rhel-patches (4ff559a5f68a1abce98d8581a8380049c80a9cf7)

Comment 15 shylesh 2016-07-26 07:01:04 UTC
Verified on ceph-radosgw-10.2.2-26.el7cp.x86_64,nfs-ganesha-rgw-2.3.2-2.el7cp.x86_64.


With changes in ganesha.conf file 
EXPORT
{
        Export_ID=1;

        Path = "/";

        Pseudo = "/";

        Access_Type = RW;

        NFS_Protocols = 4;

        Transport_Protocols = TCP;

        FSAL {  
                Name = RGW;
                User_Id = "testuser";
                #Access_Key_Id ="DWZTH1L0026F2E8KQBET";
                #Secret_Access_Key = "WWuhMtP4expuCiOkY7NBCCiaOas9CVwi0PDv2e0i";
                Access_Key_Id ="HDNVALF2LQ61MBB2C39B";
                Secret_Access_Key = "fP4aVjon7HOfdFFVtVrpsVjxzuDb33BpKTV20brE";
        }
}

RGW {
    name = "client.rgw.magna116";
    ceph_conf = "/etc/ceph/ceph_ganesha.conf";
    init_args = "--randomvar=specialk";
}
NFSV4 {
    # testing only, truncate grace period for faster restarts
    Graceless = true;
    #new in 2.4, only_numeric_owners should be enabled for RGW
    #Only_Numeric_Owners = true;
}

# logging directives--be careful
LOG {
        # Default_Log_Level is unknown token??
        Default_Log_Level = NIV_FULL_DEBUG;
        Components {
                #ALL = FULL_DEBUG;
                MEMLEAKS = FATAL;
                FSAL = DEBUG;
                NFSPROTO = FATAL;
                NFS_V4 = FULL_DEBUG;
                EXPORT = FATAL;
                FILEHANDLE = FATAL;
                DISPATCH = DEBUG;
                CACHE_INODE = FULL_DEBUG;
                CACHE_INODE_LRU = FATAL;
                HASHTABLE = FATAL;
                HASHTABLE_CACHE = FATAL;
                DUPREQ = FATAL;
                INIT = DEBUG;
                MAIN = FATAL;
                IDMAPPER = FATAL;
                NFS_READDIR = DEBUG;
                NFS_V4_LOCK = FATAL;
                CONFIG = FATAL;
                CLIENTID = FATAL;
                SESSIONS = FATAL;
                PNFS = FATAL;
                RW_LOCK = FATAL;
                NLM = FATAL;
                RPC = FATAL;
                NFS_CB = FATAL;
                THREAD = FATAL;
                NFS_V4_ACL = FATAL;
                STATE = FATAL;
#               9P = FATAL;
#               9P_DISPATCH = FATAL;
                FSAL_UP = FATAL;
                DBUS = FATAL;
        }
        Facility {
                name = FILE;
                destination = "/tmp/ganesha-rgw.log";
                enable = active;
        }
}



ganesha starts fine . hence marking this as verified.

Comment 17 errata-xmlrpc 2016-08-23 19:44:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1755.html


Note You need to log in before you can comment on or make changes to this bug.